com.dlsc.flexgantt.policy.layer

## Class DefaultOverviewPolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.layer.DefaultOverviewPolicy

- All Implemented Interfaces:
    IPolicy, IOverviewPolicy

      public class DefaultOverviewPolicy
      extends AbstractPolicy
      implements IOverviewPolicy

  The default implementation of the overview policy. For more information on this policy please refer to `IOverviewPolicy`.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOverviewPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getOverviewStatus(Object node, Object timelineObject, IGanttChartModel model)` Returns a status object that can be used by the `OverviewPalette` to determine which color to use when drawing the timeline object.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultOverviewPolicy

          public DefaultOverviewPolicy()

  - ### Method Detail

    - #### getOverviewStatus

          public Object getOverviewStatus(Object node,
                                          Object timelineObject,
                                          IGanttChartModel model)

      Description copied from interface: `IOverviewPolicy`
      Returns a status object that can be used by the `OverviewPalette` to determine which color to use when drawing the timeline object.
      Specified by:
        `getOverviewStatus` in interface `IOverviewPolicy`
      Parameters:
        `node` - the parent hierarchy node of the timeline object
        `timelineObject` - the timeline object
        `model` - the model to which the node and the timeline object belong
      Returns:
        an arbitrary status object (often simply a `String`)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.